#{extends 'workflow/border.html' /}
<ol class="breadcrumb">
  <li><a href="@{workflow.WorkflowBrowser.listProcessDefinition()}">Process Definition</a></li>
  <li class="active">Show Process Definition</li>
</ol>

<h3>Process Definition: [${pd.status}] ${pd.workflow_id}  v-${pd.version}</h3>
<div class="row">
  <div class="col-md-3">
  <h4>Variables:</h4>
  #{list pd.variableList, as:'variable'}
  ${variable.name}<br />
  #{/list}  
  </div>
  <div class="col-md-9">
     <h4>State</h4>
    <table class="table">
      <tr>
        <th>Id</th>
        <th>State</th>
        <th>Next</th>
        <th>Condition</th>
        <th>PostVisitScript</th>
        </tr>
      #{list pd.stateMapperList, as:'sm'}
      <tr>
        <td>${sm.state_mapper_id}</td>
        <td><span %{if(sm.currentState.startState || sm.currentState.endState) out.print("class=bold"); %}>${sm.currentState.name}</span></td>
        <td><span  %{if(sm.nextState?.endState) out.print("class=bold"); %}>#{if sm.nextState?.fork}@#{/if}${sm.nextState?.name}</span></td>
        <td>${sm.condition}</td>
        <td>${sm.postVisitScript}</td>
        </tr>
      #{/list}
</table>
  </div>
</div>


